/*****************************************************************************/
/*
                                 version.c

Merely generate software ID and build information strings.


10-OCT-1999  MGD  moved from HTTPD.C for v6.1
*/
/*****************************************************************************/

#include <stdio.h>
#include <ctype.h>

#include "wasd.h"

/* remember to keep 'HttpdAccountingVersion' in step with this version */
#define HTTPD_VERSION "6.1.0"

/* used to check when accounting requires zeroing on change of version */
#define HTTPD_ACCOUNTING_VERSION 0x0610

#ifdef __ALPHA
#  define HTTPD_ARCH "AXP"
#else
#  define HTTPD_ARCH "VAX"
#endif

#ifndef BUILD_DATETIME
#  define BUILD_DATETIME __DATE__ " " __TIME__
#endif

/******************/
/* global storage */
/******************/

int  HttpdAccountingVersion = HTTPD_ACCOUNTING_VERSION;

char  BuildInfo [64],
      SoftwareID [256];

/********************/
/* external storage */
/********************/

extern char  HttpdSesola[];

/*****************************************************************************/
/*
*/

VersionInfo ()

{
   register char  *cptr, *sptr;

   /*********/
   /* begin */
   /*********/

   /* software ID can be specified on the command line! */
   if (!SoftwareID[0])
      sprintf (SoftwareID, "HTTPd-WASD/%s %OpenVMS/%s%s",
               HTTPD_VERSION, HTTPD_ARCH, HttpdSesola);

   sprintf (BuildInfo, "%s VMS %s DECC %d%s",
            BUILD_DATETIME, __VMS_VERSION+1, __DECC_VER,
            OPERATE_WITH_SYSPRV ? " [/SYSPRV]" : "");

   /* compress white-space */
   cptr = sptr = BuildInfo;
   while (*cptr)
   {
      if (*cptr == ' ')
      {
         *sptr++ = *cptr++;
         while (*cptr == ' ') cptr++;
      }
      else
         *sptr++ = *cptr++;
   }
   *sptr = '\0';
} 

/*****************************************************************************/

