$!-----------------------------------------------------------------------------
$! UPDATESSL.COM
$!
$! WASD VMS Hypertext Services, Copyright (c) 1996-1999 Mark G.Daniel.
$! This package (all associated programs), comes with ABSOLUTELY NO WARRANTY.
$! This is free software, and you are welcome to redistribute it
$! under the conditions of the GNU GENERAL PUBLIC LICENSE, version 2.
$!
$! Update the WASD Hypertext Services SSL HTTPd and applications.
$! *** MUST BE CALLED FROM UPDATE.COM! ***
$!
$! 30-NOV-1999  MGD  v6.1, initial (allows the independant updating of the SSL
$!                         update procedure; e.g. after new version of OpenSSL)
$!-----------------------------------------------------------------------------
$ if f$environment("depth") .le. 1
$ then
$    type SYS$INPUT

  *****************************************
  * Must be called from via $ @UPDATE SSL *
  *****************************************

$    exit %x10000000
$ endif
$!
$ OpenSSLdir = ""
$ if f$search("HT_ROOT:[SRC]OPENSSL-0_9_3.DIR") .nes. "" -
     then OpenSSLdir = "HT_ROOT:[SRC.OPENSSL-0_9_3]"
$ if f$search("HT_ROOT:[SRC]OPENSSL-0_9_4.DIR") .nes. "" -
     then OpenSSLdir = "HT_ROOT:[SRC.OPENSSL-0_9_4]"
$ if OpenSSLdir .eqs. ""
$ then
$    type SYS$INPUT

  *******************************************
  * Cannot find supported OpenSSL directory *
  *   1. HT_ROOT:[SRC.OPENSSL-0_9_3]        *
  *   2. HT_ROOT:[SRC.OPENSSL-0_9_4]        *
  *******************************************

$    exit %x10000000
$ endif
$!
$ type SYS$INPUT

--- BUILD SSL EXECUTABLES ---

| Two stages are undertaken at this step:
|   a. Build/Link the HTTPd.
|   b. Link OpenSSL applications.
| This will only work if the SSL package has been installed!
|  
| SSL HTTPd executable must be built.  This can be done two ways.
|   1. Compiling from source, then linking.       Respond: "Compile+link"
|   2. Linking separate package object modules.   Respond: "Link"
|   or skip this step                             Respond: "No"
| Build executable?
|
$ response = ""
$ read sys$command response /prompt="[No]: "
$ if response .eqs. "" then response = "No"
$ firstChar = f$edit(f$extract(0,1,response),"upcase")
$ if firstChar .eqs. "C"
$ then
$    set default HT_ROOT:[SRC.HTTPD]
$    type SYS$INPUT

--- COMPILING SESOLA MODULE OF HTTPD ---

$    @BUILD_HTTPD SSL:'OpenSSLdir' JUST:SESOLA
$!   'f$verify(0)
$ endif
$ if firstChar .eqs. "C" .or. firstChar .eqs. "L"
$ then
$    set default HT_ROOT:[SRC.HTTPD]
$    type SYS$INPUT

--- LINKING SSL VERSION OF HTTPD ---

$    @BUILD_HTTPD SSL:'OpenSSLdir' LINK
$!   'f$verify(0)
$    type SYS$INPUT

--- LINKING OPENSSL APPLICATIONS ---

$exit
$    set default 'OpenSSLdir'
$    set default [.APPS]
$    @MAKEAPPS LINK
$    set default [-]
$ endif
$!
$ exit %x00000001
$!-----------------------------------------------------------------------------
